EDIT - bug #6139

NPE in UtisController.search()
10/21/2016 12:14 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: utis Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

NOTE: This issue has been imported from bitbucket. All timestamps have been reset during the import.

The following request causes a NPE (http:/cybertaxonomy.eu/eu-bon/utis/search?query=Prionus&providers=pesi%252C%2520edit)

java.lang.NullPointerException

at org.bgbm.utis.controller.UtisController.search(UtisController. java:154)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:622)

at org.springframework.web.method.support.InvocableHandlerMethod.invoke (InvocableHandlerMethod
.java:219)

at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest (InvocableHan
dlerMethod. java:132)

at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeA
ndHandle (ServletInvocableHandlerMethod. java:104)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHa
ndl

History

#1 - 10/21/2016 12:15 PM - Andreas Kohlbecker

- Status changed from New to Closed

originally closed on 2015-01-19

#2 - 10/21/2016 12:17 PM - Andreas Kohlbecker

- Assignee set to Andreas Kohlbecker

#3 - 07/23/2019 04:30 PM - Andreas Kohlbecker

- Category set to utis

#4 - 02/25/2022 05:14 PM - Andreas Miiller
- Project changed from UTIS to EDIT
- Category changed from utis to utis

- Severity set to normal
